# List VPC Networks - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-list-vpc

# List VPC Networks

GET

/

gpu-instance

/

openapi

/

v1

/

networks

Try it

List VPC Networks

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/networks \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/networks"headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = { method: 'GET', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpu-instance/openapi/v1/networks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/networks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/networks"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpu-instance/openapi/v1/networks") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/networks")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"network": [
{
"Id": "&#x3C;string>",
"user": "&#x3C;string>",
"name": "&#x3C;string>",
"state": [
{
"state": "&#x3C;string>",
"error": "&#x3C;string>"
}
],
"segment": "&#x3C;string>",
"clusterId": "&#x3C;string>",
"Addresses": [
{
"Id": "&#x3C;string>",
"Ip": "&#x3C;string>"
}
],
"createTime": "&#x3C;string>"
}
],
"total": "&#x3C;string>"
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-page-size)

pageSize

integer

Number of items per page. Integer, value must be greater than or equal to 0.

[​](#param-page-num)

pageNum

integer

Page number to retrieve. Integer, value must be greater than or equal to 0.

[​](#param-name)

name

string

Custom network name (supports fuzzy search). String, length limit: 0-255 characters.

[​](#param-creators)

creators

string

Creator user ID. String, length limit: 0-255 characters.

##

[​](#response)

Response

[​](#param-network)

network

object[]

required

VPC network information.

Hide properties

[​](#param-id)

Id

string

required

VPC network ID.

[​](#param-user)

user

string

required

User account ID.

[​](#param-name-1)

name

string

required

VPC network name.

[​](#param-state)

state

object[]

required

VPC network status.

Hide properties

[​](#param-state-1)

state

string

required

VPC network status. Possible values:

- creating: Being created.

- ready: Successfully created.

[​](#param-error)

error

string

Error message if VPC network creation fails or the network is unavailable.

[​](#param-segment)

segment

string

required

VPC network segment.

[​](#param-cluster-id)

clusterId

string

required

Cluster ID.

[​](#param-addresses)

Addresses

object[]

required

Instance information under the VPC network.

Hide properties

[​](#param-id-1)

Id

string

required

Instance ID.

[​](#param-ip)

Ip

string

required

Instance IP address.

[​](#param-create-time)

createTime

string

required

VPC network creation time. Format: Unix timestamp.

[​](#param-total)

total

string

required

Total number of results.

Last modified on May 27, 2025
